import { preProcessing as e } from "../common/src/crypto/preProcessing.mjs";
import t from "../common/src/providers/EthersProviderAdapter.mjs";
import { Hinkal as n } from "../services/Hinkal.mjs";
import "../services/index.mjs";
//#region libs/shared/sdk/src/providers/prepareEthersHinkal.ts
var r = async (r, i) => {
	await e();
	let a = new n(i), o = t();
	return o.initSigner?.(r), await a.initProviderAdapter(void 0, o), await a.initUserKeys(), await a.resetMerkle(), a;
};
//#endregion
export { r as prepareEthersHinkal };
